zenilib: SDL_HapticCustom Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_HapticCustom Struct Reference

A structure containing a template for the SDL_HAPTIC_CUSTOM effect. More...

`#include <SDL_haptic.h>`

## Public Attributes

Uint16 | attack_length
Uint16 | attack_level
Uint16 | button
Uint8 | channels
Uint16 * | data
Uint16 | delay
SDL_HapticDirection | direction
Uint16 | fade_length
Uint16 | fade_level
Uint16 | interval
Uint32 | length
Uint16 | period
Uint16 | samples
Uint16 | type

## Detailed Description

A structure containing a template for the SDL_HAPTIC_CUSTOM effect.

A custom force feedback effect is much like a periodic effect, where the application can define its exact shape. You will have to allocate the data yourself. Data should consist of channels * samples Uint16 samples.

If channels is one, the effect is rotated using the defined direction. Otherwise it uses the samples in data for the different axes.

See Also
  SDL_HAPTIC_CUSTOM
  SDL_HapticEffect

Definition at line 691 of file SDL_haptic.h.

## Member Data Documentation

Uint16 SDL_HapticCustom::attack_length

Duration of the attack.

Definition at line 712 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::attack_level

Level at the start of the attack.

Definition at line 713 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::button

Button that triggers the effect.

Definition at line 702 of file SDL_haptic.h.

Uint8 SDL_HapticCustom::channels

Axes to use, minimum of one.

Definition at line 706 of file SDL_haptic.h.

Uint16* SDL_HapticCustom::data

Should contain channels*samples items.

Definition at line 709 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::delay

Delay before starting the effect.

Definition at line 699 of file SDL_haptic.h.

SDL_HapticDirection SDL_HapticCustom::direction

Direction of the effect.

Definition at line 695 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::fade_length

Duration of the fade.

Definition at line 714 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::fade_level

Level at the end of the fade.

Definition at line 715 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::interval

How soon it can be triggered again after button.

Definition at line 703 of file SDL_haptic.h.

Uint32 SDL_HapticCustom::length

Duration of the effect.

Definition at line 698 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::period

Sample periods.

Definition at line 707 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::samples

Amount of samples.

Definition at line 708 of file SDL_haptic.h.

Uint16 SDL_HapticCustom::type

SDL_HAPTIC_CUSTOM

Definition at line 694 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_haptic.h